package com.yonge.cooleshow.admin.io.request;

import com.alibaba.fastjson.JSON;
import com.microsvc.toolkit.common.response.paging.QueryInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import lombok.Data;

/**
 * 机构专辑分类详情
 * 2023-10-10 10:17:38
 */
@ApiModel(value = "TenantAlbumCategoryDetailVo对象", description = "机构专辑分类详情查询视图对象")
public class TenantAlbumCategoryDetailVo {

    @Data
    @ApiModel(" TenantAlbumCategoryDetailQuery-机构专辑分类详情")
    public static class TenantAlbumCategoryDetailQuery implements QueryInfo {

        @ApiModelProperty("当前页")
        private Integer page;

        @ApiModelProperty("分页行数")
        private Integer rows;

        public String jsonString() {
            return JSON.toJSONString(this);
        }

        public static TenantAlbumCategoryDetailQuery from(String json) {
            return JSON.parseObject(json, TenantAlbumCategoryDetailQuery.class);
        }
    }

    @Data
    @ApiModel(" TenantAlbumCategoryDetail-机构专辑分类详情")
    public static class TenantAlbumCategoryDetail {


        @ApiModelProperty("主键ID")
        private Long id;


        @ApiModelProperty("机构专辑分类ID")
        private Long tenantAlbumCategoryId;


        @ApiModelProperty("级别/类别")
        private String value;


        public String jsonString() {
            return JSON.toJSONString(this);
        }

        public static TenantAlbumCategoryDetail from(String json) {
            return JSON.parseObject(json, TenantAlbumCategoryDetail.class);
        }
    }

}